org.eclipse.jetty.plus.jaas.callback

## Class DefaultCallbackHandler

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.callback.AbstractCallbackHandler
  - - org.eclipse.jetty.plus.jaas.callback.DefaultCallbackHandler

- All Implemented Interfaces:
    CallbackHandler

      public class DefaultCallbackHandler
      extends AbstractCallbackHandler

  DefaultUsernameCredentialCallbackHandler

  #### Notes

  #### Usage

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.plus.jaas.callback.AbstractCallbackHandler

      `_credential, _userName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultCallbackHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(Callback[] callbacks)`
    `void` | `setRequest(Request request)`

    - ### Methods inherited from class org.eclipse.jetty.plus.jaas.callback.AbstractCallbackHandler

      `getCredential, getUserName, setCredential, setUserName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultCallbackHandler

          public DefaultCallbackHandler()

  - ### Method Detail

    - #### setRequest

          public void setRequest(Request request)

    - #### handle

          public void handle(Callback[] callbacks)
                      throws IOException,
                             UnsupportedCallbackException

      Specified by:
        `handle` in interface `CallbackHandler`
      Overrides:
        `handle` in class `AbstractCallbackHandler`
      Throws:
        `IOException`
        `UnsupportedCallbackException`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.